/*
 * DmxJam : The real tool for live lightshow!
 * "$Id: $" 
 *
 *                     Copyright (c) 2005, O'ksi'D
 *                        All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 
 *       Redistributions of source code must retain the above copyright
 *       notice, this list of conditions and the following disclaimer.
 * 
 *       Redistributions in binary form must reproduce the above copyright
 *       notice, this list of conditions and the following disclaimer in the
 *       documentation and/or other materials provided with the distribution.
 * 
 *       Neither the names of the copyright holders nor the names of their 
 *       contributors may be used to endorse or promote products derived from 
 *       this software without specific prior written permission.
 * 
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT OWNER
 * OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * References :
 *
 * Changes :
 *	
 *
 */

#include <FL/Fl.H>
#include "TheApp.h"
#include "util.h"

TheApp::TheApp(int argc, char **argv)
{
	struct timeval tvo, tv;

	splash_screen = new SplashScreen();
	main_window = new MainWindow();
	main_window->label(argv[0]);
	about_box = new AboutBox();
	back_process = new BackProcess();

	/* let the splash screen displayed for a while */
	gettimeofday(&tvo, NULL);
	tvo.tv_sec += 2;
	do {
		Fl::check();
		gettimeofday(&tv, NULL);
	} while (tvo.tv_sec > tv.tv_sec);

	splash_screen->hide();

	/* now show the main window */

	main_window->show();

	back_process->run();
}

TheApp::~TheApp()
{
	delete(splash_screen);
	delete(main_window);
	delete(about_box);
}

/*
 * End of "$Id: $".
 */
