/*
 * DmxJam : The real tool for live lightshow!
 * "$Id: $" 
 *
 *                     Copyright (c) 2005, Jean-Marc Lienher
 *                        All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 
 *       Redistributions of source code must retain the above copyright
 *       notice, this list of conditions and the following disclaimer.
 * 
 *       Redistributions in binary form must reproduce the above copyright
 *       notice, this list of conditions and the following disclaimer in the
 *       documentation and/or other materials provided with the distribution.
 * 
 *       Neither the names of the copyright holders nor the names of their 
 *       contributors may be used to endorse or promote products derived from 
 *       this software without specific prior written permission.
 * 
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT OWNER
 * OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * References :
 *
 * Changes :
 *	
 *
 */

#ifndef UNIX_H
#define UNIX_H

#ifdef __cplusplus
extern "C" {
#endif

#if defined(WIN32)
#include <windows.h>
#include <process.h>
typedef HANDLE Thread;
typedef CRITICAL_SECTION ThreadLock;
#else
#include <pthread.h>
typedef pthread_t Thread;
#endif

void *create_thread(Thread* t, void *(*f) (void *), void* p);
void get_current_thread(Thread* t);
int wait_for_thread(Thread *t, int milisec); 
void init_thread_lock(ThreadLock *l);
int lock_thread_lock(ThreadLock *l);
void unlock_thread_lock(ThreadLock *l);

/* typedef struct timeval {  long tv_sec;  long tv_usec;}; */

struct timezone {
int	tz_minuteswest; /* minutes W of Greenwich */
int	tz_dsttime;     /* type of dst correction */
};


int usleep(unsigned long usec);
int gettimeofday(struct timeval * tv , struct timezone * tz );

#ifdef __cplusplus
}
#endif

#endif

/*
 * End of "$Id: $".
 */
